Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.validation
Interface ValidationService

All Superinterfaces:
  GlobalViewModelService, ViewModelService

All Known Implementing Classes:
  ValidationServiceImpl

    public interface ValidationService

extends GlobalViewModelService

Since:
  1.5
Author:
  Eugen

Method Summary
`void` | `addValidationProvider(ValidationProvider validationProvider)` Adds a validation provider to the list of known validation providers.
`void` | `addValidationProvider(ValidationProvider validationProvider, boolean revalidate)` Adds a validation provider to the list of known validation providers.
`void` | `deregisterValidationListener(ViewValidationListener listener)` Deregisters the given listener.
`void` | `registerValidationListener(ViewValidationListener listener)` Registers a listener that will receive `Diagnostic`s with severity higher than `Diagnostic#OK`.
`void` | `removeValidationProvider(ValidationProvider validationProvider)` Removes a validation provider from the list of known validation providers.
`void` | `removeValidationProvider(ValidationProvider validationProvider, boolean revalidate)` Removes a validation provider from the list of known validation providers.
`void` | `validate(Collection<org.eclipse.emf.ecore.EObject> eObjects)` Validates all given eObjects.

Methods inherited from interface org.eclipse.emf.ecp.view.spi.context.GlobalViewModelService
`childViewModelContextAdded`

Methods inherited from interface org.eclipse.emf.ecp.view.spi.context.ViewModelService
`dispose, getPriority, instantiate`

Method Detail

### addValidationProvider

    void addValidationProvider(ValidationProvider validationProvider)

  Adds a validation provider to the list of known validation providers. The domain model will be revalidated after the provider has been added.

  Parameters:
    `validationProvider` - the `ValidationProvider` to add

### addValidationProvider

    void addValidationProvider(ValidationProvider validationProvider,
                               boolean revalidate)

  Adds a validation provider to the list of known validation providers.

  Parameters:
    `validationProvider` - the `ValidationProvider` to add
    `revalidate` - whether to revalidate the domain model after the provider has been added
  Since:
    1.6

### removeValidationProvider

    void removeValidationProvider(ValidationProvider validationProvider)

  Removes a validation provider from the list of known validation providers.

  Parameters:
    `validationProvider` - the `ValidationProvider` to remove

### removeValidationProvider

    void removeValidationProvider(ValidationProvider validationProvider,
                                  boolean revalidate)

  Removes a validation provider from the list of known validation providers. The domain model will be revalidated after the provider has been removed

  Parameters:
    `validationProvider` - the `ValidationProvider` to remove
    `revalidate` - whether to revalidate the domain model after the provider has been removed
  Since:
    1.6

### registerValidationListener

    void registerValidationListener(ViewValidationListener listener)

  Registers a listener that will receive `Diagnostic`s with severity higher than `Diagnostic#OK`. After registration the listener's `ViewValidationListener.onNewValidation(java.util.Set)` will be called with current results.

  Parameters:
    `listener` - the listener to register

### deregisterValidationListener

    void deregisterValidationListener(ViewValidationListener listener)

  Deregisters the given listener.

  Parameters:
    `listener` - the listener to deregister

### validate

    void validate(Collection<org.eclipse.emf.ecore.EObject> eObjects)

  Validates all given eObjects.

  Parameters:
    `eObjects` - the eObjects to validate

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.